#include <zephyr/kernel.h>
#include <zephyr/sys/printk.h>
#include <zephyr/device.h>
#include <zephyr/drivers/pwm.h>

static const struct pwm_dt_spec pwm_led0 = PWM_DT_SPEC_GET(DT_ALIAS(pwm_led0));

#include <zephyr/logging/log.h>
LOG_MODULE_REGISTER(main, LOG_LEVEL_INF);

int main(void)
{
	int ret;

	printk("PWM-based blinky\n");

	if (!pwm_is_ready_dt(&pwm_led0)) {
		printk("Error: PWM device %s is not ready\n",
		       pwm_led0.dev->name);
		return 0;
	}

	while(true){
		for(uint16_t i = 400; i < 800; i++)
		{
			int ret = pwm_set_dt(&pwm_led0, PWM_HZ(i),
								PWM_HZ(i) / 2);
			LOG_INF("pwm_set_dt = %d", ret);

			ret = pwm_set_dt(&pwm_led0, PWM_HZ(i),
								PWM_HZ(i) / 2);
			LOG_INF("pwm_set_dt = %d", ret);
			k_msleep(10);
		}



		k_msleep(10000);
	}
	return 0;
}
